Subject: [bug#75981] [PATCH v2 1/2] etc: Add fork.scm.

From: 45mg <[email-masked]>
Date: Mon, 24 Feb 2025 12:54:04 +0000

Liliana Marie Prikler <[email-masked]> writes:

> Am Sonntag, dem 23.02.2025 um 18:50 +0530 schrieb 45mg:
>> +(define %usage
>> +  (format #f (G_ "Usage: etc/fork.scm SIGNING_KEY [DIRECTORY
>> OPTIONS...]
>> +Create a fork of Guix in DIRECTORY, using SIGNING_KEY to sign the
>> introductory
>> +commit.
>> +DIRECTORY defaults to ../guix-fork.
> I would make DIRECTORY a mandatory argument and SIGNING_KEY an option
> (-S/--gpg-sign=KEY).  The default value can be fetched from git config.

While that could be convenient, I think a lot of people may not have set
up automatic commit signing before creating their fork (I was one of
those people).

> Cheers